Skip to content
Wazapin
Esc
navigateopen⌘Jpreview

POST /v1/automation/workflows/validate-definition

POST/v1/automation/workflows/validate-definition
Authorization
bearerAuthbearerAuthrequired
or
apiKeyAuthapiKeyAuthrequired
Request body
requiredapplication/json
definitionanyrequired
Responses
200OK
errorstring
event_typestring
runtime_schema_versionstring
schema_versionstring
trigger_typestring
validbooleanrequired
defaultError
errorErrorBodyrequired
Show properties
codestringrequired
detailsErrorDetail[] | null
Show properties
Array of ErrorDetail
codestring
fieldstring
locationstring
messagestringrequired
messagestringrequired
request_idstring
Request
curl -X POST "/v1/automation/workflows/validate-definition" \
  -H "Content-Type: application/json" \
  -d '{
  "definition": "string"
}'
Response
{
  "error": "string",
  "event_type": "string",
  "runtime_schema_version": "string",
  "schema_version": "string",
  "trigger_type": "string",
  "valid": true
}